# Version.cpp File Reference

`#include <osg/Version>`

Include dependency graph for Version.cpp:

## Functions

const char * | osgGetVersion ()
| osgGetVersion() returns the library version number.
const char * | osgGetLibraryName ()
| The osgGetLibraryName() method returns the library name in human-friendly form.

## Function Documentation

const char* osgGetLibraryName | ( |  | ) |

| The osgGetLibraryName() method returns the library name in human-friendly form.

const char* osgGetVersion | ( |  | ) |

osgGetVersion() returns the library version number.

Numbering convention : OpenSceneGraph-0.8-31 will return 0.8.31 from osgGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

     #
     # Check for the OpenSceneGraph (OSG) library
     #
     AC_CHECK_LIB(osg, osgGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph library not found. See http://www.openscenegraph.org)],)